import typing

from anise.astro import Frame

@typing.final
class CelestialObjects:
    EARTH: int = ...
    EARTH_MOON_BARYCENTER: int = ...
    JUPITER: int = ...
    JUPITER_BARYCENTER: int = ...
    MARS: int = ...
    MARS_BARYCENTER: int = ...
    MERCURY: int = ...
    MOON: int = ...
    NEPTUNE: int = ...
    NEPTUNE_BARYCENTER: int = ...
    PLUTO_BARYCENTER: int = ...
    SATURN: int = ...
    SATURN_BARYCENTER: int = ...
    SOLAR_SYSTEM_BARYCENTER: int = ...
    SUN: int = ...
    URANUS: int = ...
    URANUS_BARYCENTER: int = ...
    VENUS: int = ...

@typing.final
class Frames:
    EARTH_ECLIPJ2000: Frame = ...
    EARTH_ITRF93: Frame = ...
    EARTH_J2000: Frame = ...
    EARTH_MOON_BARYCENTER_J2000: Frame = ...
    EME2000: Frame = ...
    IAU_EARTH_FRAME: Frame = ...
    IAU_JUPITER_FRAME: Frame = ...
    IAU_MARS_FRAME: Frame = ...
    IAU_MERCURY_FRAME: Frame = ...
    IAU_MOON_FRAME: Frame = ...
    IAU_NEPTUNE_FRAME: Frame = ...
    IAU_SATURN_FRAME: Frame = ...
    IAU_URANUS_FRAME: Frame = ...
    IAU_VENUS_FRAME: Frame = ...
    JUPITER_BARYCENTER_J2000: Frame = ...
    MARS_BARYCENTER_J2000: Frame = ...
    MERCURY_J2000: Frame = ...
    MOON_J2000: Frame = ...
    MOON_ME_DE421_FRAME: Frame = ...
    MOON_ME_DE440_ME421_FRAME: Frame = ...
    MOON_ME_FRAME: Frame = ...
    MOON_PA_DE421_FRAME: Frame = ...
    MOON_PA_DE440_FRAME: Frame = ...
    MOON_PA_FRAME: Frame = ...
    NEPTUNE_BARYCENTER_J2000: Frame = ...
    PLUTO_BARYCENTER_J2000: Frame = ...
    SATURN_BARYCENTER_J2000: Frame = ...
    SSB_J2000: Frame = ...
    SUN_J2000: Frame = ...
    URANUS_BARYCENTER_J2000: Frame = ...
    VENUS_J2000: Frame = ...

@typing.final
class Orientations:
    ECLIPJ2000: int = ...
    IAU_EARTH: int = ...
    IAU_JUPITER: int = ...
    IAU_MARS: int = ...
    IAU_MERCURY: int = ...
    IAU_MOON: int = ...
    IAU_NEPTUNE: int = ...
    IAU_SATURN: int = ...
    IAU_URANUS: int = ...
    IAU_VENUS: int = ...
    ITRF93: int = ...
    J2000: int = ...
    MOON_ME: int = ...
    MOON_ME_DE421: int = ...
    MOON_ME_DE440_ME421: int = ...
    MOON_PA: int = ...
    MOON_PA_DE421: int = ...
    MOON_PA_DE440: int = ...

@typing.final
class UsualConstants:
    MEAN_EARTH_ANGULAR_VELOCITY_DEG_S: float = ...
    MEAN_MOON_ANGULAR_VELOCITY_DEG_S: float = ...
    SPEED_OF_LIGHT_KM_S: float = ...